### Virtual Method

# Camel MessageInfo take_references

since: 3.24

#### Declaration [src]

    gboolean
    take_references (
      CamelMessageInfo* mi,
      GArray* references
    )

#### Description [src]

Takes encoded In-Reply-To and References headers of the associated message as an array of guint64 numbers, partial MD5 sums. Each value can be cast to `CamelSummaryMessageID`.

This property is considered static, in a meaning that it should not change during the life-time of the `mi`, the same as it doesn’t change in the associated message.

If the `mi` changed, the ‘dirty’ flag and the ‘folder-flagged’ flag are set automatically, unless the `mi` is aborting notifications. There is not emitted folder’s “changed” signal for this `mi`.

Note that it’s not safe to use the `references` after the call to this function, because it can be freed due to no change.

Available since: 3.24

#### Parameters

`references`

  Type: An array of `guint64`

  A references to set.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the value changed.